SFML 2.5.1

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Macros
GpuPreference.hpp File Reference

Headers. More...

`#include <SFML/Config.hpp>`

Go to the source code of this file.

## Macros

#define | SFML_DEFINE_DISCRETE_GPU_PREFERENCE
| A macro to encourage usage of the discrete GPU.

## Detailed Description

Headers.

File containing SFML_DEFINE_DISCRETE_GPU_PREFERENCE

Definition in file GpuPreference.hpp.

## Macro Definition Documentation

## ◆ SFML_DEFINE_DISCRETE_GPU_PREFERENCE

#define SFML_DEFINE_DISCRETE_GPU_PREFERENCE

A macro to encourage usage of the discrete GPU.

In order to inform the Nvidia/AMD driver that an SFML application could benefit from using the more powerful discrete GPU, special symbols have to be publicly exported from the final executable.

SFML defines a helper macro to easily do this.

Place SFML_DEFINE_DISCRETE_GPU_PREFERENCE in the global scope of a source file that will be linked into the final executable. Typically it is best to place it where the main function is also defined.

Definition at line 69 of file GpuPreference.hpp.